defmodule Shared do
  use Dlex.Node

  shared do
    field :id, :string, index: ["term"]
  end
end

defmodule User do
  use Dlex.Node

  schema "user" do
    field :id, :auto, depends_on: Shared
    field :name, :string, index: ["term"]
    field :age, :integer
    field :owns, :uid
  end
end

defmodule Location do
  use Dlex.Node

  schema "location" do
    field :name, :string, index: ["trigram"]
    field :alternatives, :string, index: ["fulltext"]
    field :region, :string
    field :country_code, :string
    field :population, :integer
    field :coordinate, :string
    field :timezone, :string
  end
end

defmodule Repo do
  use Dlex.Repo, otp_app: :test, modules: [User]
end
